## python-demjson 3.0.5

=== Makefile ===
# Makefile for demjson
# This is a simple installation front-end for Unix-like machines.
# See the INSTALL.txt file for specific instructions.

PYTHON=python
PYDOC=pdoc

MODULE=demjson3
VERSION=3.0.4

SOURCES = $(MODULE).py
SETUP = setup.py
READMES = README.txt LICENSE.txt docs/CHANGES.txt docs/INSTALL.txt docs/NEWS.txt
TESTS = test/test_$(MODULE).py
DOCS = docs/$(MODULE).txt docs/jsonlint.txt
DOCS_HTML = docs/$(MODULE).html
SCRIPTS = jsonlint
DISTDIR = dist

DIST_FILE = $(DISTDIR)/$(MODULE)-$(VERSION).tar.gz
ALL_FILES = $(SOURCES) $(SETUP) $(READMES) $(TESTS) $(DOCS) $(SCRIPTS)

all: build test install

ALWAYS:

show:
	@for f in $(ALL_FILES) ; do \
	   echo $$f ; \
	done | sort -u

#MANIFEST.in: $(ALL_FILES) Makefile
#	rm -f $@
#	for f in $(ALL_FILES) ; do \
#	   echo include $$f ; \
#	done | sort -u > $@

dist:   $(DIST_FILE) $(DOCS)
	@ls -l -- $(DIST_FILE)

clean:
	rm *.pyc
	rm -r build

build: $(SOURCES) $(SETUP)
	$(PYTHON) $(SETUP) build

install: $(SOURCES) $(SETUP)
	$(PYTHON) $(SETUP) install

register: $(DISTDIR)/$(MODULE)-$(VERSION).tar.gz $(SETUP)
	$(PYTHON) $(SETUP) register

test: ALWAYS $(SOURCES) $(TESTS)
	(cd test && PYTHONPATH=.. $(PYTHON) test_$(MODULE).py)
	echo done

$(DIST_FILE): MANIFEST.in $(ALL_FILES)
	$(PYTHON) setup.py sdist -d $(DISTDIR)

docs: $(DOCS) ALWAYS
docs_html: $(DOCS_HTML) ALWAYS

docs/jsonlint.txt: jsonlint $(MODULE).py
	PYTHONPATH=. ./jsonlint --help >$@
	echo "" >>$@
	PYTHONPATH=. ./jsonlint --strict --help-behaviors >>$@

docs/$(MODULE).txt:     $(MODULE).py
	python -m pydoc $(MODULE) | sed -e 's|/home/[a-zA-Z0-9_/.-]*/git/demjson/||' >docs/$(MODULE).txt

docs/$(MODULE).html:    $(MODULE).py
	$(PYDOC) --html $(MODULE) -o docs
	mv docs/$(MODULE).html docs/index.html

## python-demjson 1.6

=== debian/changelog ===
python-demjson (1.6-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:09:33 +0000

python-demjson (1.6-2) unstable; urgency=low

  * Team upload.
  * Rebuild to pick up 2.7 and drop 2.5 from supported versions
  * debian/control:
    - Bumped Standards-version to 3.9.2 - no changes necessary.
  * debian/watch
    - removed dh_make template lines, leaving only the used ones
  * debian/jsonlint.1
    - don't use hyphen as minus sign

 -- Sandro Tosi <morph@debian.org>  Sat, 07 May 2011 15:26:44 +0200

python-demjson (1.6-1) unstable; urgency=low

  * New upstream release
  * debian/copyright: Rewirte in DEP-5 format. 
  * debian/rules: Switch to dh_python2.

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 06 Apr 2011 14:24:20 +0900

python-demjson (1.5-1) unstable; urgency=low

  * New upstream.
  * debian/control:
    - Bumped Standards-version to 3.9.1 - no changes necessary.
  * debian/source/format: 3.0 (quilt)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 14:46:24 +0900

python-demjson (1.4-1) unstable; urgency=low

  * Initial release (Closes: #558117)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Nov 2009 23:16:58 +0900

=== debian/control ===
Source: python-demjson
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7), 
	python-all (>= 2.6.6-3),
	python-setuptools
Standards-Version: 3.9.2
Homepage: http://deron.meranda.us/python/demjson/

Package: python-demjson
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: encoder, decoder, and lint/validator for JSON in Python
 demjson is a comprehensive Python language binding to the JSON
 language-independent data encoding standard, which is often used as a
 simpler subtitute for XML in AJAX-based web applications.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://pypi.python.org/packages/source/d/demjson/demjson-(.*).tar.gz

## python-demjson 1.6-2

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7), 
-	python-all (>= 2.6.6-3),
+Build-Depends: debhelper (>= 5), 
+	python-all (>= 2.5),
 	python-setuptools
 Standards-Version: 3.9.2
 Homepage: http://deron.meranda.us/python/demjson/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#%:
#	dh  $@

#!/usr/bin/make -f
#export DH_VERBOSE=1

PACKAGE_NAME=python-demjson
MODULE_NAME=demjson

PYVERS=2.5

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif
export CFLAGS

clean: 
	dh_testdir
	dh_testroot
	rm -rf dist build build-stamp build-ext-*
#	find . -name '*\.py[co]' -exec rm -f {} \;

	dh_clean install-stamp install-ext-*

build: build-stamp
build-stamp: $(PYVERS:%=build-ext-%)
	touch $@
build-ext-%:
	dh_testdir
	python$* setup.py build
	touch $@

install: install-stamp
install-stamp: build-stamp $(PYVERS:%=install-ext-%)
	touch $@
	rm $(CURDIR)/debian/$(PACKAGE_NAME)/usr/lib/python2.5/site-packages/*.py
install-ext-%:
	python$* setup.py install \
		--root $(CURDIR)/debian/$(PACKAGE_NAME)
	touch $@

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_link /usr/share/javascript/jquery/jquery.js \
#		/usr/share/doc/python-simplejson/docs/_static/jquery.js
	dh_strip
	dh_compress -X.py -X.json -X.js
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb -- -Z bzip2

binary: binary-indep binary-arch

.PHONY: clean binary-indep binary-arch binary unpatch

## python-demjson 2.2.2

=== debian/changelog ===
python-demjson (2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 06 Jul 2014 18:38:42 +0900

python-demjson (2.2-1) unstable; urgency=medium

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 Jun 2014 23:53:38 +0900

python-demjson (2.0.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Add Vcs-* fields.
  * Fix a typo in the package description.

  [ TANIGUCHI Takaki ]
  * New upstream release
  * Add support for Python-3 
  * Bump Standards-Version to 3.9.5. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Jun 2014 17:49:47 +0900

=== debian/control ===
Source: python-demjson
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7)
	, python-all (>= 2.6.6-3)
	, python3-all
	, python-setuptools
	, python3-setuptools
Standards-Version: 3.9.5
Homepage: http://deron.meranda.us/python/demjson/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-demjson/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-demjson/trunk/

Package: python-demjson
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: encoder, decoder, and lint/validator for JSON in Python
 demjson is a comprehensive Python language binding to the JSON
 language-independent data encoding standard, which is often used as a
 simpler substitute for XML in AJAX-based web applications.

Package: python3-demjson
Architecture: all
Depends: python3, ${python:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: encoder, decoder, and lint/validator for JSON in Python
 demjson is a comprehensive Python language binding to the JSON
 language-independent data encoding standard, which is often used as a
 simpler substitute for XML in AJAX-based web applications.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DESTDIR_python2=debian/python-demjson/
export PYBUILD_DESTDIR_python3=debian/python3-demjson/

%:
	dh  $@ --with python2,python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/python3-demjson/usr/bin/jsonlint \
		$(CURDIR)/debian/python3-demjson/usr/bin/jsonlint3

## python-demjson 2.2.4

=== debian/changelog ===
python-demjson (2.2.4-5) unstable; urgency=medium

  * Rename jsonlint-py3 to jsonlint
    - Drop dh-exec using at dh_install 

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 28 Aug 2019 15:51:45 +0900

python-demjson (2.2.4-4) unstable; urgency=medium

  * Remove a redundant man page. (Closes: #934014)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 09 Aug 2019 10:55:42 +0900

python-demjson (2.2.4-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ TANIGUCHI Takaki ]
  * Drop python2 support
  * debian-compat: Bump to 12
  * Bump Standards-Version 4.4.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 05 Aug 2019 13:34:08 +0900

python-demjson (2.2.4-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Mattia Rizzolo ]
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.1.2, no changes needed.
  * De-duplicate the package descriptions.
  * Add missing build-dependency on dh-python.
  * Force use of python3 for jsonlint-py3 in python3-demjson.
    This avoid having the python3 package depending on python2.
    Thanks to Paul Wise for spotting this weirdness.
  * Use HTTPS in d/watch.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 18 Dec 2017 12:12:30 +0100

python-demjson (2.2.4-1) unstable; urgency=medium

  * Imported Upstream version 2.2.4

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 02 Feb 2016 16:12:27 +0900

python-demjson (2.2.3-2) unstable; urgency=medium

  * debian/*.install: Copy jsonlint from source tree. (Closes: #806482)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 29 Nov 2015 16:24:41 +0900

python-demjson (2.2.3-1) unstable; urgency=medium

  [ SVN-Git Migration ]
  * git-dpm config
  * Update Vcs fields for git migration

  [ TANIGUCHI Takaki ]
  * debian/watch: Use pypy.debian.net.
  * Imported Upstream version 2.2.3
  * Bump Standards-Version to 3.9.6.
  * Add py suffix to CLI utility. (Closes: #778468)

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 25 Nov 2015 21:28:05 +0900

=== debian/control ===
Source: python-demjson
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 12)
	, dh-python
	, python3-all
	, python3-setuptools
Standards-Version: 4.4.0
Homepage: http://deron.meranda.us/python/demjson/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-demjson.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-demjson

Package: python3-demjson
Architecture: all
Depends: python3, ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: encoder, decoder, and lint/validator for JSON in Python (python3)
 demjson is a comprehensive Python language binding to the JSON
 language-independent data encoding standard, which is often used as a
 simpler substitute for XML in AJAX-based web applications.
 .
 This package contains the python3 library and the jsonlint-py3 script.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=demjson
export PYBUILD_AFTER_INSTALL=rm -f {destdir}/usr/bin/jsonlint

%:
	dh  $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
https://pypi.debian.net/demjson/demjson-(.*).tar.gz

## python-demjson 3.0.5

=== debian/changelog ===
python-demjson (3.0.5-1) unstable; urgency=medium

  * Team Upload.
  * Switch to Python3 fork
  * Drop deprecated 2to3 build dependency
  * New upstream version 3.0.5
  * Enable test with pytest
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Jun 2024 21:04:27 +0200

python-demjson (2.2.4-7) unstable; urgency=medium

  * d/salsa-ci.yml: Add CI config.
  * d/rules: Run 2to3 before build. (Closes: #1013187)
  * d/control: Add 2to3 to B-D.
  * Bump Standards-Version to 4.6.1.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 14 Jul 2022 14:17:48 +0900

python-demjson (2.2.4-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/changelog: Remove trailing whitespaces.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Sandro Tosi ]
  * update Homepage/Source to github project
  * debian/patches/dont-use-2to3.patch
    - don't use 2to3; Closes: #997600

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jun 2022 00:55:47 -0400

=== debian/control ===
Source: python-demjson
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 13)
	, dh-sequence-python3
	, python3-all
        , python3-pytest
	, python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/nielstron/demjson
Vcs-Git: https://salsa.debian.org/python-team/packages/python-demjson.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-demjson

Package: python3-demjson
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Description: encoder, decoder, and lint/validator for JSON in Python
 demjson is a comprehensive Python language binding to the JSON
 language-independent data encoding standard, which is often used as a
 simpler substitute for XML in AJAX-based web applications.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=demjson
export PYBUILD_AFTER_INSTALL=rm -f {destdir}/usr/bin/jsonlint

%:
	dh  $@ --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
https://github.com/nielstron/demjson3/tags (?:.*/)release@ANY_VERSION@@ARCHIVE_EXT@
